Bug 53042 - Breaks sound-setup
Breaks sound-setup
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-02 11:27 EDT by Enrico Scholz
Modified: 2015-03-04 20:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-05 10:44:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/modules.conf before neat was called (620 bytes, text/plain)
2001-09-02 11:29 EDT, Enrico Scholz
no flags Details
/etc/modules.conf after neat was called (515 bytes, text/plain)
2001-09-02 11:30 EDT, Enrico Scholz
no flags Details

  None (edit)
Description Enrico Scholz 2001-09-02 11:27:31 EDT
[redhat-config-network-0.8.2-1 and prior]

redhat-config-network mangles an existing /etc/modules.conf and removes 

| alias sound-slot-0 sb
| post-install sound-slot-0 /bin/aumix-minimal -f ...
from it. This setup was gained by sndconfig for a SB16 PnP.

Additionally it cycles at subsequent calls between

| options aha152x io=0x140 reconnect=0 irq=11 
and
| options aha152x reconnect=0 io=0x140 irq=11 

I will attach both a /etc/modules.conf before redhat-config-network was
called and one after it was called.


Steps to reproduce:
1. cp modules.conf.before /etc/modules.conf
2. neat --> Close --> Yes
3. diff modules.conf.before /etc/modules.conf


Actual result:

(3) finds differences; sound-slot-0 setup is broken


Expected result:
(3) does not find any differences
Comment 1 Enrico Scholz 2001-09-02 11:29:49 EDT
Created attachment 30606 [details]
/etc/modules.conf before neat was called
Comment 2 Enrico Scholz 2001-09-02 11:30:08 EDT
Created attachment 30607 [details]
/etc/modules.conf after neat was called
Comment 3 Phil Knirsch 2001-09-05 10:44:38 EDT
OK, i checked the problem and it really is a problem of some old we reuse in
RCN. I am currently working on a fix, should appear in rawhide real soon now(tm)
:=).

Read ya, Phil
Comment 4 Phil Knirsch 2001-09-05 12:00:12 EDT
OK, fixed in CVS (0.8.4-1).

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.